Subject: Re: bug#60490: 29.0.60; sqlite-mode-open-file fails to work over tramp

From: Eli Zaretskii <[email-masked]>
Date: Mon, 02 Jan 2023 14:43:49 +0200

severity 60490 wishlist
thanks

> Date: Mon, 02 Jan 2023 16:56:24 +0530
> From: Mohammed Sadiq <[email-masked]>
> 
> Opening sqlite db files from remote system over tramp (with M-x
> sqlite-mode-open-file) fails with the following error in *Messages*:
> 
> sqlite-mode-list-tables: Wrong type argument: sqlitep, nil

The built-in SQLite support doesn't (yet) support remote DB access.
So I'm converting this report to a feature request.  Patches welcome.

Thanks.